package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 商品类型
 *
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum GoodTypeEnum implements BaseEnum<String, GoodTypeEnum> {
    VIP("开通会员"),
    PRACTICE("陪练课购买"),
    LIVE("直播课购买"),
    VIDEO("视频课购买"),
    MUSIC("单曲点播"),
    ALBUM("专辑购买"),
    PINAO_ROOM("琴房时长"),
    ACTI_REGIST("活动报名")
    ;

    @EnumValue
    private String code;
    private String msg;

    GoodTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

}
